Subject: Re: linux-next: manual merge of the drm tree with the kbuild tree

From: Mark Brown <[email-masked]>
Date: Mon, 16 Sep 2019 23:18:52 +0100

On Mon, Sep 16, 2019 at 02:06:46PM -0700, Nick Desaulniers wrote:
> On Sun, Sep 15, 2019 at 2:47 PM Mark Brown <[email-masked]> wrote:

> >   0f0727d971f6fdf ("drm/amd/display: readd -msse2 to prevent Clang from emitting libcalls to undefined SW FP routines")

> ^ this patch is now broken due to the SHA above it.

Right, all the sites that didn't conflict are broken.  Like I say I
think there needs to be some coordination with the Kbuild changes here.

> b/drivers/gpu/drm/amd/display/dc/dcn20/Makefile
> index 2b399cfa72e6..ddb8d5649e79 100644
> --- a/drivers/gpu/drm/amd/display/dc/dcn20/Makefile
> +++ b/drivers/gpu/drm/amd/display/dc/dcn20/Makefile
> @@ -19,7 +19,7 @@ endif
>  CFLAGS_$(AMDDALPATH)/dc/dcn20/dcn20_resource.o := -mhard-float -msse
> $(cc_stack_align)

I can't do anything with patches without signoffs so I'm not going to
apply this as a workaround.

> > + ifdef CONFIG_DRM_AMD_DC_DCN2_1
> >  -CFLAGS_display_mode_vba_21.o := $(dml_ccflags)
> >  -CFLAGS_display_rq_dlg_calc_21.o := $(dml_ccflags)
> >  -endif
> 
> ^ this endif should not be removed.

There's an endif left there?  Someone sent a patch, I'm going to apply
that.